## cascading.pipe.assembly
Enum Unique.Cache

    java.lang.Object
      java.lang.Enum<Unique.Cache>
          cascading.pipe.assembly.Unique.Cache

All Implemented Interfaces:
  Serializable, Comparable<Unique.Cache>

Enclosing class:
  Unique

    public static enum Unique.Cache

extends Enum<Unique.Cache>

Enum Constant Summary
`Num_Keys_Flushed`
`Num_Keys_Hit`
`Num_Keys_Missed`

Method Summary
`static Unique.Cache` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Unique.Cache[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Num_Keys_Flushed

    public static final Unique.Cache Num_Keys_Flushed

### Num_Keys_Hit

    public static final Unique.Cache Num_Keys_Hit

### Num_Keys_Missed

    public static final Unique.Cache Num_Keys_Missed

Method Detail

### values

    public static Unique.Cache[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Unique.Cache c : Unique.Cache.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Unique.Cache valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.